org.apache.poi.ss.usermodel

## Interface TableStyle

- All Known Implementing Classes:
    XSSFBuiltinTableStyle.XSSFBuiltinTypeStyleStyle, XSSFTableStyle

      public interface TableStyle

  Data table style definition. Includes style elements for various table components. Any number of style elements may be represented, and any cell may be styled by multiple elements. The order of elements in `TableStyleType` defines precedence.
  Since:
    3.17 beta 1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Some clients may care where in the table style list this definition came from, so we'll track it.
    `java.lang.String` | `getName()`
    `DifferentialStyleProvider` | `getStyle(TableStyleType type)`
    `boolean` | `isBuiltin()`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns:
        name (may be a built-in name)

    - #### getIndex

          int getIndex()

      Some clients may care where in the table style list this definition came from, so we'll track it. The spec only references these by name, unlike Dxf records, which these definitions reference by index (XML definition order). Nice of MS to be consistent when defining the ECMA standard. Use org.apache.poi.xssf.usermodel.XSSFBuiltinTableStyle.isBuiltinStyle(TableStyle) to determine whether the index is for a built-in style or explicit user style
      Returns:
        index from org.apache.poi.xssf.model.StylesTable.getExplicitTableStyle(String) or org.apache.poi.xssf.usermodel.XSSFBuiltinTableStyle.ordinal()

    - #### isBuiltin

          boolean isBuiltin()

      Returns:
        true if this is a built-in style defined in the OOXML specification, false if it is a user style

    - #### getStyle

          DifferentialStyleProvider getStyle(TableStyleType type)

      Parameters:
        `type` -
      Returns:
        style definition for the given type, or null if not defined in this style.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.